using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Mpeg2.Psi;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	class PatContestant : Contestant, IPatEventHandler, IDisposable
    {
        public PatContestant(int pid) : base("PAT",pid)
        {
            PacketProcessor = new PsiDecoder(pid, new PatParser(this));
        }

        public void NetworkPidFromPat(int networkPid)
        {
            Score++;
        }

        public void ProgramMapPidFromPat(int pmtPid, ushort programNumber)
        {
            Score++;
        }

        public void SetTransportStreamId(ushort transportStreamId)
        {
            Score++;
        }

        public override void Dispose()
        {
            
        }

        public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
        {
	        throw new NotImplementedException();
        }

        public override void Introduce(ProgramContext programContext)
        {
	        
        }
    }
}
